<script>
	export let id="selectinput_component";
	export let titleText="";
	export let value;
	// export let oninput = function() {};
	export let onchange = function() {};
</script>

<div class="selectinput">
<label for={id}>{titleText}</label>
<select id={id} bind:value={value} on:change={onchange}>
	<slot/>
</select>
</div>

<style>
	div.selectinput{
		padding: 2px;
	}

	label{
		display: inline;
		font-size: 10pt;
		margin: 2px;
		padding: 0px;
	}

	select{
		width: 194px;
		height: 25px;
		text-align: left;
		vertical-align: top;
		padding: 2px;
		margin: 0px;
		border-width: 1px;
		border-radius: 5px;
		font-size: 10pt;
		background: #fff;
	}

</style>
